Contents
Index 🔎︎

# ThisComponent Object

Addresses the active component whose properties can be read and set, and whose methods can be called. ThisComponent is used in Basic, where it represents the current document. Properties and methods available through ThisComponent depend on the document type.

### Syntax:

ThisComponent

### Example:

    Sub Main
    REM ანახლებს "სარჩევის ცხილრ" ტექსტურ doc-ში
    Dim allindexes, index As Object
        allindexes = ThisComponent.getDocumentIndexes()
        index = allindexes.getByName("Table of Contents1")
        REM use the default name for Table of Contents and a 1
        index.update()
    End Sub